This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.318. __nv_yn

Prototype:

    double @__nv_yn(i32 %n, double %x)

Description:

Calculate the value of the Bessel function of the second kind of order `n` for the input argument `x`, Y n ( x ) .

Returns:

Returns the value of the Bessel function of the second kind of order `n`.

- __nv_yn(`n`, `x`) returns NaN for `n` < 0.

- __nv_yn(`n`, 0) returns − ∞ .

- __nv_yn(`n`, `x`) returns NaN for `x` < 0.

- __nv_yn(`n`, + ∞ ) returns +0.

- __nv_yn(`n`, NaN) returns NaN.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes